version: "3"
services:
     build:
      image: klakegg/hugo:0.107.0
      volumes:
       - ".:/src"
     server:
      image: darkhttpd
      container_name: no-js-server
      volumes:
       - ./public:/var/www/htdocs:ro
#networks:
#  default:
#    name: npm
#    external: true
# this just applies to my specific usage, one can usually ignore it and just open a port normally.